%define upstream_name    Module-Inspector
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    An integrated API for inspecting Perl distributions 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildArch: noarch


%description
An integrated API for inspecting Perl distributions 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Do not make test because they need gtk display
#make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.50.0-14.mga10
+ Revision: 2204034
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-13.mga9
+ Revision: 1809678
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-12.mga8
+ Revision: 1505168
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.50.0-11.mga7
+ Revision: 1284790
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.50.0-10.mga7
+ Revision: 1165548
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.50.0-9.mga7
+ Revision: 1159304
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-8.mga6
+ Revision: 1030029
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.50.0-7.mga6
+ Revision: 930018
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-6.mga5
+ Revision: 745443
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.50.0-5.mga5
+ Revision: 727672
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 685432
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-3.mga4
+ Revision: 512994
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 369816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 26587
- mageia rebuild
- imported package perl-Module-Inspector


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 403864
- rebuild using %%perl_convert_version

* Sat Aug 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.05-1mdv2009.0
+ Revision: 277610
- Add description
- import perl-Module-Inspector


